## Contribution Guidelines

When contributing to this repository, please discuss the change you wish to make via issue to the maintainers of this repository before making a change. 

Please note we have a code of conduct, follow it in all your interactions with the project.

## Reporting Bugs

1. Please provide a clear subject and description of the bug. Provide necessary information about the version of the library and recyclerview version.
2. If possible, create a failing test case and make a pull request.
3. Be nice to the contributors.

## Submitting changes

1. Make a clone of the repo, create a new branch for your changes.
2. Make sure the code is well formatted according to code style added in the repo.
3. After making changes, make sure you rebase with the base branch.
4. If possible squash your commits to single commit. Give a meaningful commit message.
5. If the public api methods are being changed, change the necessary documentation. Make sure changes are backward compatible.
6. If you want to deprecate a method, please have a discussion with maintainers.
7. Once the changes are done, make a pull request.
8. Engage with maintainers if further changes are requested.
